
QGIS Application - Bug report #14652

SVG Fill Causing Memory Leak

2016-04-10 01:58 AM - Mark Thomas

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.14.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22616

Description

When performing exercise 3.2.12 in the basic tutorial, the program freezes as soon as I select "SVG Fill". In the Windows Task Manager I

can see QGIS suddenly jumps to take up 25% of my CPU and a large amount of memory, and the memory allocation increases steadily

and noticeably until it has consumed all unused memory.

I am running v2.14.1 on Windows 7 64-bit.

Associated revisions

Revision 50cada43 - 2016-06-08 06:42 AM - Nyall Dawson

Fix home dir being added as default svg and template path

Fixes #14662, #14652, #14883

Revision db9a95e5 - 2016-07-01 12:28 AM - Nyall Dawson

Fix home dir being added as default svg and template path

Fixes #14662, #14652, #14883

History

#1 - 2016-04-10 02:08 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category set to Symbology

#2 - 2016-06-07 09:44 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"50cada431c37ebd0f230ce9cee4ceeca7334dc59".
http://docs.qgis.org/2.8/en/docs/training_manual/basic_map/symbology.html#backlink-symbology-levels-2

